[ic] disable multi-thread in perl 5.8.0

Mike Kang interchange at thedesignpeople.com
Thu Aug 7 19:28:01 EDT 2003

> > What is the command to install perl 5.8.0 from source? Or how do I
> > disable multi-thread for perl 5.8.0 in redhat 9.0? Because Interchange
> > 4.9.8 doesn't install. Please help!
> As usual, search the mailing list archives before posting.
> The solution to your problem was given in the e-mail titled
> "Red Hat 9 workaround" by Mike Heins.

First of all, here is the link to that article you were referring to:

I ended up doing something differently though because I am running RedHat
8.0 and didn't know if there would be incompatibilities.  So this is what I
did to get a working IC install out of it.

I replaced my system perl according to this article:
(note: the instructions there go from the "configure" step to "make test" --
I did a "make" between them.

The only problem with this is that the package manager still thinks I have a
threaded perl installed.  I read on the list that RH Linux requires many of
the perl modules for other facilities on the box, so to keep stuff from
breaking I used instructions from this post:
To make new RPMs from new perl modules downloaded from CPAN.
(also note: I tried downloading the packages from the site mentioned in the
article and it seems that it is no longer up, probably to be replaced by the
Kitchen-sink-install.)  You might need to install the rpm-specfile module to
get this to work, but that shouldn't be a problem.  You will also need to
install the new RPMs --nodeps and in some cases --force but afterwards you
should have a working IC and Linux 8.0.

Good luck,

Mike K

More information about the interchange-users mailing list